.section	".rodata"
.align	8
.section	".text"
f_10:
	set	123, %i2
	retl
	nop
g_12:
	set	456, %i2
	retl
	nop
h_14:
	set	789, %i2
	retl
	nop
.global	min_caml_start
min_caml_start:
	save	%sp, -112, %sp
	st	%o7, [%i0 + 4]
	call	f_10
	add	%i0, 8, %i0	! delay slot
	sub	%i0, 8, %i0
	ld	[%i0 + 4], %o7
	st	%i2, [%i0 + 0]
	cmp	%i2, 0
	bg	ble_else_34
	nop
	st	%o7, [%i0 + 4]
	call	g_12
	add	%i0, 8, %i0	! delay slot
	sub	%i0, 8, %i0
	ld	[%i0 + 4], %o7
	b	ble_cont_35
	nop
ble_else_34:
	st	%o7, [%i0 + 4]
	call	h_14
	add	%i0, 8, %i0	! delay slot
	sub	%i0, 8, %i0
	ld	[%i0 + 4], %o7
ble_cont_35:
	ld	[%i0 + 0], %i3
	add	%i2, %i3, %i2
	st	%o7, [%i0 + 4]
	call	min_caml_print_int
	add	%i0, 8, %i0	! delay slot
	sub	%i0, 8, %i0
	ld	[%i0 + 4], %o7
	ret
	restore
